//
// JobOptions.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation


/** Contains additional options/parameter of a fax job */

public struct JobOptions: Codable {

    /** Describes a title of a fax job */
    public var title: String?
    /** Describes the date the fax should be sent. The format complies with ISO 8601 and contains date and time */
    public var timeToSend: Date?
    /** Describes the date the fax can be sent until. The format complies with ISO 8601 and contains date and time */
    public var timeToSendUntil: Date?
    /** Describes if the fax header is used or not in a fax job */
    public var faxHeader: Bool?
    /** Describes the header part from in the fax header (if its used) in a fax job */
    public var faxHeaderFrom: String?
    /** Describes the source identifier, which will be displayed during the transmission and appears on the receipt protocol */
    public var stationID: String?
    /** Describes the Calling Line Identification Presentation (Clip). It is the transferred dialing number before the transmission of the fax document */
    public var clip: String?
    /** Describes the default International Dialing Code which will be used for fax numbers without international area code */
    public var defaultInternationalDialingCode: String?
    /** Describes the used cost center for a fax job */
    public var costCenter: String?
    /** Describes if the uploaded template documents and resulting preview documents of a fax job are stored or not */
    public var saveDocuments: Bool?

    public init(title: String? = nil, timeToSend: Date? = nil, timeToSendUntil: Date? = nil, faxHeader: Bool? = nil, faxHeaderFrom: String? = nil, stationID: String? = nil, clip: String? = nil, defaultInternationalDialingCode: String? = nil, costCenter: String? = nil, saveDocuments: Bool? = nil) {
        self.title = title
        self.timeToSend = timeToSend
        self.timeToSendUntil = timeToSendUntil
        self.faxHeader = faxHeader
        self.faxHeaderFrom = faxHeaderFrom
        self.stationID = stationID
        self.clip = clip
        self.defaultInternationalDialingCode = defaultInternationalDialingCode
        self.costCenter = costCenter
        self.saveDocuments = saveDocuments
    }


}
